osl::eval::ml::King25BothSide Class Reference

`#include <kingTable.h>`

## Public Types

enum | { ONE_DIM = 8192 , DIM = ONE_DIM * EvalStages }

## Public Member Functions

template<osl::Player P>
osl::MultiInt | evalOne (const NumEffectState &state, const CArray< int, 5 > &effects)

## Static Public Member Functions

static void | setUp (const Weights &weights)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, const CArray< int, 5 > &effects)
static MultiInt | eval (const NumEffectState &state, const CArray< int, 5 > &black, const CArray< int, 5 > &white)

## Static Private Member Functions

static int | index (int effect1, int effect2, int i)
template<Player P>
static int | indexX (Square king, int effect1, int effect2, int i, int j)
static int | indexX (int king_x, int effect1, int effect2, int i)
template<Player P>
static int | indexY (Square king, int effect1, int effect2, int i)
static int | indexY (int king_y, int effect1, int effect2, int i)

## Static Private Attributes

static CArray< MultiInt, 8192 > | table
static CArray< MultiInt, 40960 > | x_table
static CArray< MultiInt, 73728 > | y_table

## Friends

class | King25BothSideX
class | King25BothSideY

## Detailed Description

Definition at line 773 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 778 of file kingTable.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::King25BothSide::eval | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | black,
|  | const CArray< int, 5 > & | white )

static

Definition at line 1683 of file kingTable.cc.

References evalOne().

Referenced by evalOne().

## evalOne() [1/2]

template<osl::Player P>

template MultiInt osl::eval::ml::King25BothSide::evalOne< WHITE > | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | effects )

Definition at line 1636 of file kingTable.cc.

References osl::BLACK, indexX(), indexY(), osl::SimpleState::kingSquare(), osl::WHITE, osl::Square::x(), x_table, osl::Square::y(), and y_table.

## evalOne() [2/2]

template<Player P>

MultiInt osl::eval::ml::King25BothSide::evalOne | ( | const NumEffectState & | state,
|  | const CArray< int, 5 > & | effects )

static

References eval().

Referenced by eval(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::King25BothSide::index | ( | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 787 of file kingTable.h.

## indexX() [1/2]

int osl::eval::ml::King25BothSide::indexX | ( | int | king_x,
|  | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 816 of file kingTable.h.

## indexX() [2/2]

template<Player P>

int osl::eval::ml::King25BothSide::indexX | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i,
|  | int | j )

inline static private

Definition at line 794 of file kingTable.h.

References osl::BLACK, osl::WHITE, and osl::Square::x().

Referenced by evalOne().

## indexY() [1/2]

int osl::eval::ml::King25BothSide::indexY | ( | int | king_y,
|  | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 828 of file kingTable.h.

## indexY() [2/2]

template<Player P>

int osl::eval::ml::King25BothSide::indexY | ( | Square | king,
|  | int | effect1,
|  | int | effect2,
|  | int | i )

inline static private

Definition at line 821 of file kingTable.h.

References osl::BLACK, and osl::Square::y().

Referenced by evalOne().

## setUp()

void osl::eval::ml::King25BothSide::setUp | ( | const Weights & | weights | ) |

static

Definition at line 1600 of file kingTable.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## King25BothSideX

friend class King25BothSideX

friend

Definition at line 775 of file kingTable.h.

References King25BothSideX.

Referenced by King25BothSideX.

## King25BothSideY

friend class King25BothSideY

friend

Definition at line 776 of file kingTable.h.

References King25BothSideY.

Referenced by King25BothSideY.

## Member Data Documentation

## table

osl::CArray< MultiInt, 8192 > osl::eval::ml::King25BothSide::table

static private

Definition at line 831 of file kingTable.h.

Referenced by setUp(), and osl::eval::ml::King25BothSideY::setUp().

## x_table

osl::CArray< MultiInt, 40960 > osl::eval::ml::King25BothSide::x_table

static private

Definition at line 832 of file kingTable.h.

Referenced by evalOne(), and osl::eval::ml::King25BothSideX::setUp().

## y_table

osl::CArray< MultiInt, 73728 > osl::eval::ml::King25BothSide::y_table

static private

Definition at line 833 of file kingTable.h.

Referenced by evalOne(), and osl::eval::ml::King25BothSideY::setUp().

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc